Set Conversation Security Analyzer
curl --request POST \
--url https://api.example.com/api/conversations/{conversation_id}/security_analyzer \
--header 'Content-Type: application/json' \
--data '
{
"security_analyzer": {
"history_limit": 20,
"max_message_chars": 30000,
"timeout": 30,
"low_threshold": 0.3,
"medium_threshold": 0.7,
"api_url": "https://api.grayswan.ai/cygnal/monitor",
"api_key": "<string>",
"policy_id": "<string>",
"kind": "<string>"
}
}
'import requests
url = "https://api.example.com/api/conversations/{conversation_id}/security_analyzer"
payload = { "security_analyzer": {
"history_limit": 20,
"max_message_chars": 30000,
"timeout": 30,
"low_threshold": 0.3,
"medium_threshold": 0.7,
"api_url": "https://api.grayswan.ai/cygnal/monitor",
"api_key": "<string>",
"policy_id": "<string>",
"kind": "<string>"
} }
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
security_analyzer: {
history_limit: 20,
max_message_chars: 30000,
timeout: 30,
low_threshold: 0.3,
medium_threshold: 0.7,
api_url: 'https://api.grayswan.ai/cygnal/monitor',
api_key: '<string>',
policy_id: '<string>',
kind: '<string>'
}
})
};
fetch('https://api.example.com/api/conversations/{conversation_id}/security_analyzer', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Conversations
Set Conversation Security Analyzer
Set the security analyzer for a conversation.
POST
/
api
/
conversations
/
{conversation_id}
/
security_analyzer
Set Conversation Security Analyzer
Path Parameters
Body
application/json
Payload to set security analyzer for a conversation
The security analyzer to set
- GraySwanAnalyzer
- LLMSecurityAnalyzer
Show child attributes
Show child attributes
Response
Successful Response
Was this page helpful?
⌘I

